package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class EnergyManagementConfiguration {
    private String ksv;
    private String schemaVersion;
    private Metadata metadata;
    private CurrentPowerSavingMode currentPowerSavingMode;
    private RequiredPowerSavingMode requiredPowerSavingMode;

    public Metadata getMetadata() {
        return metadata;
    }

    public String getKsv() {
        return ksv;
    }

    public void setKsv(String ksv) {
        this.ksv = ksv;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public CurrentPowerSavingMode getCurrentPowerSavingMode() {
        return currentPowerSavingMode;
    }

    public void setCurrentPowerSavingMode(CurrentPowerSavingMode currentPowerSavingMode) {
        this.currentPowerSavingMode = currentPowerSavingMode;
    }

    public RequiredPowerSavingMode getRequiredPowerSavingMode() {
        return requiredPowerSavingMode;
    }

    public void setRequiredPowerSavingMode(RequiredPowerSavingMode requiredPowerSavingMode) {
        this.requiredPowerSavingMode = requiredPowerSavingMode;
    }
}
